## org.eclipse.m2m.atl.adt.ui.preferences
Class AtlCodeAssistPreferencePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.m2m.atl.adt.ui.preferences.AbstractPreferencePage
                  org.eclipse.m2m.atl.adt.ui.preferences.AtlCodeAssistPreferencePage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPreferencePage

    public class AtlCodeAssistPreferencePage

extends AbstractPreferencePage

Field Summary

Fields inherited from class org.eclipse.m2m.atl.adt.ui.preferences.AbstractPreferencePage
`checkBoxModel, colorList, colorListModel, colorSelector, fPreferenceeStore, textFieldModel`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`AtlCodeAssistPreferencePage()`

Method Summary
`protected org.eclipse.swt.widgets.Control` `createContents(org.eclipse.swt.widgets.Composite parent)`

Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.AbstractPreferencePage

`dispose, doGetPreferenceStore, getPreferenceStore, handleColorListSelection, init, initialize, initializeFieldsToDefaultValues, initializeFieldsToUserValues, newCheckBoxField, newCheckBoxField, newCheckBoxField, newColorList, newComposite, newCompositeCheckBoxes, newCompositeColors, newCompositeTextFields, newGroup, newLabelField, newLabelledTextField, newPushButton, newRadioButton, newScrollList, newTabItem, newTextField, newTextField, newTextField, performDefaults, performOk, tabForward`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, getApplyButton, getContainer, getDefaultsButton, isValid, noDefaultAndApplyButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### AtlCodeAssistPreferencePage

    public AtlCodeAssistPreferencePage()

Method Detail

### createContents

    protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createContents` in class `org.eclipse.jface.preference.PreferencePage`
  See Also:
    `PreferencePage.createContents(org.eclipse.swt.widgets.Composite)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.